Bug 1983695 - Size of the hostname was preventing proper DNS resolution of the worker node names
Summary: Size of the hostname was preventing proper DNS resolution of the worker node ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.7.z
Assignee: Ben Nemec
QA Contact: Aleksandra Malykhin
URL:
Whiteboard:
Depends On: 1915122
Blocks: 1983690 1896751
TreeView+ depends on / blocked
 
Reported: 2021-07-19 14:07 UTC by OpenShift BugZilla Robot
Modified: 2021-09-01 18:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-01 18:23:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift mdns-publisher pull 34 0 None open [release-4.7] Bug 1983695: Truncate long service names to 63 characters 2021-07-19 14:09:02 UTC
Red Hat Product Errata RHSA-2021:3262 0 None None None 2021-09-01 18:24:21 UTC

Comment 2 Aleksandra Malykhin 2021-08-22 15:14:41 UTC
Verified on  4.7.0-0.nightly-2021-08-21-153346

The verification flow:

1. change hostname to new longer one on master-0-0

[core@master-0-0 ~]$ sudo hostnamectl set-hostname masteraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa-0.ocp-edge-cluster-0.qe.lab.redhat.com
[core@master-0-0 ~]$ hostname
masteraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa-0.ocp-edge-cluster-

2. restart mdns pod

[core@master-0-0 ~]$ sudo vi /etc/kubernetes/manifests/mdns-publisher.yaml (changed value of the deletionGracePeriodSeconds - pod restarted)


3. check log file on the master:
oc logs -n openshift-kni-infra mdns-publisher-master-0-0.ocp-edge-cluster-0.qe.lab.redhat.com                         

time="2021-08-22T15:12:43Z" level=info msg="Publishing with settings" collision_avoidance=hostname ip="fd2e:6f44:5dd8::6c"
time="2021-08-22T15:12:43Z" level=info msg="Binding interface" name=br-ex
time="2021-08-22T15:12:43Z" level=debug msg="Changing service name" new="ocp-edge-cluster-0 Workstation-masteraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa-0" original="ocp-edge-cluster-0 Workstation"
time="2021-08-22T15:12:43Z" level=info msg="Publishing service" domain=local. hostname=masteraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa-0.local. name="ocp-edge-cluster-0 Workstation-masteraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa-0" port=42424 ttl=3200 type=_workstation._tcp
time="2021-08-22T15:12:43Z" level=info msg="Truncating long service name 'ocp-edge-cluster-0 Workstation-masteraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa-0' to 'ocp-edge-cluste06bed01003bbb7ff2136e424e3bc1cceaaaaaaaaaaaaaa-0'"
time="2021-08-22T15:12:43Z" level=info msg="Zeroconf registering service" name=ocp-edge-cluste06bed01003bbb7ff2136e424e3bc1cceaaaaaaaaaaaaaa-0
time="2021-08-22T15:12:43Z" level=info msg="Zeroconf setting service ttl" name=ocp-edge-cluste06bed01003bbb7ff2136e424e3bc1cceaaaaaaaaaaaaaa-0 ttl=3200


the new hostname is changed to random word in the middle as per request.

Comment 5 errata-xmlrpc 2021-09-01 18:23:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.7.28 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3262


Note You need to log in before you can comment on or make changes to this bug.